PHP Manual
Prev |  | Next

# oci_commit

(PHP 5)

oci_commit -- Commits outstanding statements

## Description

bool oci_commit ( resource connection )

Commits all outstanding statements for the active transaction on the Oracle `connection`.

## Parameters

`connection`

  An Oracle connection identifier, returned by oci_connect() or oci_pconnect().

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. oci_commit() example

`<?php
// Login to Oracle server
$conn = oci_connect('scott', 'tiger');
// Parse SQL
$stmt = oci_parse($conn, "
INSERT INTO
employees (name, surname)
VALUES
('Maxim', 'Maletsky')
");
/* Execute statement
OCI_DEFAULT tells oci_execute()
not to commit statement immediately */
oci_execute($stmt, OCI_DEFAULT);
/*
....
Parsing and executing other statements here ...
....
*/
// Commit transaction
$committed = oci_commit($conn);
// Test whether commit was successful. If error occurred, return error message
if (!$committed) {
$error = oci_error($conn);
echo 'Commit failed. Oracle reports: ' . $error['message'];
}
?>`

## Notes

> Note: Transactions are automatically rolled back when you close the connection, or when the script ends, whichever is soonest. You need to explicitly call oci_commit() to commit the transaction, or oci_rollback() to abort it.

## See Also

oci_rollback()
oci_execute()

Prev | Home | Next
OCI-Collection->trim | Up | oci_connect